description

# SourceBuffer class Null safety

Inheritance
  - Object
  - EventTarget
  - SourceBuffer
Annotations
  - @Native("SourceBuffer")

## Properties

appendWindowEnd ↔ num?
  read / write
appendWindowStart ↔ num?
  read / write
audioTracks → AudioTrackList?
  read-only
buffered → TimeRanges?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
mode ↔ String?
  read / write
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onAbort → Stream<Event>
  read-only
onError → Stream<Event>
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
timestampOffset ↔ num?
  read / write
trackDefaults ↔ TrackDefaultList?
  read / write
updating → bool?
  read-only
videoTracks → VideoTrackList?
  read-only

## Methods

abort() → void
addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
appendBuffer(ByteBuffer data) → void
appendTypedData(TypedData data) → void
  @JSName('appendBuffer')
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
remove(num start, num end) → void
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

abortEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('abort')`
errorEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('error')`